{
  config,
  lib,
  pkgs,
  inputs,
  ...
}:
let
  inherit (inputs.nix-colors.lib-contrib { inherit pkgs; }) gtkThemeFromScheme;
  cfg = config.modules.desktop;
in
{
  # Do not make conditional, just toggle things on and off
  imports = [ inputs.nix-colors.homeManagerModules.default ]; # TODO: what does this do

  config = lib.mkIf cfg.enable {
    # home.sessionVariables.GTK_THEME = "Catppuccin-Mocha-Compact-Blue-dark";
    gtk = {
      enable = true;
      theme = {
        name = inputs.nix-colors.colorschemes.${config.colorscheme}.slug;
        package = gtkThemeFromScheme { scheme = inputs.nix-colors.colorschemes.${config.colorscheme}; };
      };
      iconTheme = {
        name = "Papirus-Dark";
        package = pkgs.papirus-icon-theme;
      };
    };
  };
}
